package atree

type PeriodsWriter interface {
	Feed(uint32, float64)
	FeedNoSend(uint32, float64)
	Close() error
}

type WorkerMeasureConsumer interface {
	FeedNoSend(uint32, float64)
}

type AtreeMeasureConsumer interface {
	Feed(uint32, float64)
}
